__gnu_cxx::_Rope_const_iterator(3)

NAME
__gnu_cxx::_Rope_const_iterator -

SYNOPSIS

Inherits _Rope_iterator_base< _CharT, _Alloc >.

Detailed Description

  template<class _CharT, class _Alloc> class __gnu_cxx::_Rope_const_iterator< _CharT, _Alloc >

Definition at line 1108 of file rope.

  Public Types
typedef _Alloc _allocator_type
typedef _Distance difference_type
typedef _Category iterator_category
typedef const _CharT * pointer
typedef _CharT reference
typedef _Tp value_type

  Public Member Functions
_Rope_const_iterator (const rope< _CharT, _Alloc > &__r, size_t __pos)
_Rope_const_iterator (const _Rope_iterator< _CharT, _Alloc > &__x)
_Rope_const_iterator (const _Rope_const_iterator &__x)
_Rope_const_iterator ()
size_t index () const
reference operator * ()
_Rope_const_iterator operator++ (int)
_Rope_const_iterator & operator++ ()
_Rope_const_iterator & operator+= (ptrdiff_t __n)
_Rope_const_iterator operator-- (int)
_Rope_const_iterator & operator-- ()
_Rope_const_iterator & operator-= (ptrdiff_t __n)
_Rope_const_iterator & operator= (const _Rope_const_iterator &__x)
reference operator[] (size_t __n)

  Protected Types
enum { _S_path_cache_len }
enum { _S_iterator_buf_len }
typedef _Rope_RopeRep< _CharT, _Alloc > _RopeRep
_S_iterator_buf_len
_S_path_cache_len

  Protected Member Functions
void _M_decr (size_t __n)
void _M_incr (size_t __n)
_Rope_const_iterator (const _RopeRep *__root, size_t __pos)

  Static Protected Member Functions
static void _S_setbuf (_Rope_iterator_base &__x)
static void _S_setcache (_Rope_iterator_base &__x)
static void _S_setcache_for_incr (_Rope_iterator_base &__x)

  Protected Attributes
__GC_CONST _CharT * _M_buf_end
__GC_CONST _CharT * _M_buf_ptr
__GC_CONST _CharT * _M_buf_start
size_t _M_current_pos
int _M_leaf_index
size_t _M_leaf_pos
unsigned char _M_path_directions
const _RopeRep * _M_path_end [_S_path_cache_len]
_RopeRep * _M_root
_CharT _M_tmp_buf [_S_iterator_buf_len]

  Friends
template<class _CharT2, class _Alloc2> _Rope_const_iterator< _CharT2, _Alloc2 > operator+ (ptrdiff_t __n, const _Rope_const_iterator< _CharT2, _Alloc2 > &__x)
template<class _CharT2, class _Alloc2> _Rope_const_iterator< _CharT2, _Alloc2 > operator+ (const _Rope_const_iterator< _CharT2, _Alloc2 > &__x, ptrdiff_t __n)
template<class _CharT2, class _Alloc2> ptrdiff_t operator- (const _Rope_const_iterator< _CharT2, _Alloc2 > &__x, const _Rope_const_iterator< _CharT2, _Alloc2 > &__y)
template<class _CharT2, class _Alloc2> _Rope_const_iterator< _CharT2, _Alloc2 > operator- (const _Rope_const_iterator< _CharT2, _Alloc2 > &__x, ptrdiff_t __n)
template<class _CharT2, class _Alloc2> bool operator< (const _Rope_const_iterator< _CharT2, _Alloc2 > &__x, const _Rope_const_iterator< _CharT2, _Alloc2 > &__y)
template<class _CharT2, class _Alloc2> bool operator== (const _Rope_const_iterator< _CharT2, _Alloc2 > &__x, const _Rope_const_iterator< _CharT2, _Alloc2 > &__y)
class rope< _CharT, _Alloc >

Member Typedef Documentation

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef const _CharT* pointer

This type represents a pointer-to-value_type.

Reimplemented from iterator.

Definition at line 1124 of file rope.

  typedef _CharT reference

This type represents a reference-to-value_type.

Reimplemented from iterator.

Definition at line 1121 of file rope.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.